#levelList
  each level in levels
    div(class=level.theme === 0 ? "levelCountry" : "levelSand")
      .levelInfo
        .preview(id=`preview-${level.id}`, class="preview")
        .levelTitle
          span.title #[a(href=`/level/${level.id}`) #{ level.title }]
            unless level.isPublished
              span.unpublished #[strong Non publié]
          //- span.infoz 
          span.country
            .lvlAuthor
              a(href=`/user/${level.authorId}`) #{ level.author.displayName }
        .levelDesc
          span= level.description

        //- .lvlAuthor 
        .levelAction
          if level.isPublished
            a(href=`/level/${level.id}/play`) Jouer
          else
            a(href=`/level/${level.id}/edit`) Editer
  script.
    //- On mouseover for 1 second, createPreviewSwf
    let previewTimeout;
    let previewTimeoutFunction = function(levelId) {
      previewTimeout = setTimeout(function() {
        client.createPreviewSwf(levelId);
      }, 500);
    };
    let cancelPreviewTimeout = function() {
      clearTimeout(previewTimeout);
    };
    let levels = document.getElementsByClassName('levelInfo');
    for (let i = 0; i < levels.length; i++) {
      levels[i].addEventListener('mouseover', function() {
        let preview = this.getElementsByClassName("preview")[0];
        if (preview.childNodes.length == 0) {
          previewTimeoutFunction(preview.id.substring(8));
        }
      });
      levels[i].addEventListener('mouseout', cancelPreviewTimeout);
    }

include pagination.pug
